@import url('https://fonts.googleapis.com/css2?family=Fraunces:ital,opsz,wght@0,9..144,100..900;1,9..144,100..900&family=Nova+Mono&family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Orbitron:wght@400..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

:root {
    --primary: #6459DD;
    --secondary: #F8F9FA;
    --overtext: #F8F9FA;
    --hover: #4B42B7;
    --border: #E0E0E0;
    --background: white;

}

.darkMode {
    background: black;
    color: white;

    .modal-content {
        background: black;
    }

    .btn-close {
        background-color: white;
    }

    .counts {
        color: white !important;
    }

    .heading2 {
        color: white !important;
    }
}

* {
    font-family: "Poppins", serif;
}

body a {
    text-decoration: none;
}

#dark {
    background-color: transparent;
    border: none;
    color: white;
    font-size: 24px;
    border: 1px solid rgba(255, 255, 255, 0.3);
    padding: 2px 15px;
    border-radius: 7px;
}

.nav_bar {
    background-color: var(--primary);
    font-weight: bold;
}

.nav_bar a {
    text-decoration: none;
}

.navbar-brand {
    color: var(--overtext);
    font-family: "Orbitron", sans-serif;
    font-weight: 900;
    font-size: 22px;
}

.navbar-brand:hover {
    color: var(--secondary);
}

.modal-content {
    background: var(--background);
}

.beta-text {
    color: var(--overtext);
    font-family: "Orbitron", sans-serif;
    font-weight: 900;
    cursor: pointer;
}

.hero_con {
    height: 85vh;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
}

.heading {
    color: var(--primary);
    font-size: 48px !important;

}


.btns {
    background-color: var(--primary);
    color: var(--overtext);
    height: 40px;
    width: 150px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: none;
    border-radius: 5px;
}

.btns:hover {
    background-color: var(--hover);
}

.login_head {
    color: var(--primary);
}

.seperation {
    height: 1px;
    background-color: #dee2e6;
}

.course_content p {
    font-size: 18px;
}

table {
    table-layout: fixed;
    width: 80% !important;
    /* Make the table take full width */
}

th,
td {
    width: 50%;
    /* Ensure equal column width */
    text-align: left;
    /* Optional: Align text to the left */
    padding: 10px;
    border-width: 1px !important;
}

.table_heading {
    background-color: var(--primary);
    color: var(--overtext);
}

.question {
    background-color: var(--primary);
    color: var(--overtext);
}

.no_quest h4 {
    color: var(--primary);
    font-size: 22px !important;
}

.no_corre h4 {
    color: var(--primary);
    font-size: 22px !important;
}

.counts {
    font-size: 18px !important;
}

.percentage {
    height: 100px;
    width: 100px;
    border-radius: 50%;
}

.resultWindow {
    display: none;
}

/* Mobile */
@media (max-width: 767px) {
    .heading2 {
        font-size: 28px !important;
    }

    .heading {
        font-size: 32px;
    }

    .course_content p {
        font-size: 16px;
    }

    .no_quest h4 {
        font-size: 18px !important;
    }

    .no_corre h4 {
        color: var(--primary);
        font-size: 18px !important;
    }

    .counts {
        font-size: 18px !important;
    }

    .question {
        font-size: 16px;
    }

    .form-check-label {
        font-size: 14px !important;
    }

}

/* Tablets */
@media (min-width: 768px) and (max-width: 1023px) {
    .heading {
        font-size: 40px !important;
    }

    .course_content p {
        font-size: 17px;
    }
}